import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:rook_users/src/authorization/authorization_response.dart';
import 'package:rook_users/src/data/server/helper/get_error_from_response.dart';

class AuthorizationApiService {
  final String _url = 'api.sdks.rook-connect.com';
  final http.Client _client = http.Client();

  Future<AuthorizationResponse> getAuthorization(String clientUUID) async {
    final uri = Uri.https(
      _url,
      'auth',
      {
        'client_uuid': clientUUID,
      },
    );

    final response = await _client.get(uri, headers: {
      'Content-Type': 'application/json',
      'Accept': 'application/json',
    });

    if (response.statusCode != 200) {
      throw Exception(getErrorFromResponse(response));
    }

    final decoded = jsonDecode(response.body) as Map<String, dynamic>;

    return AuthorizationResponse.fromMap(decoded);
  }
}
