DateTime getExpirationDateFromJsonWebToken(Map<String, dynamic> jsonWebToken) {
  final featuresJSON = jsonWebToken[featuresKey] as Map<String, dynamic>;
  final epochMillis = (jsonWebToken[expirationDateKey] as int) * millisecondsInASecond;

  final expirationDate = DateTime.fromMillisecondsSinceEpoch(
    epochMillis,
    isUtc: true,
  );
  final isEnabled = featuresJSON[featureKey] == featureEnabled;

  if (isEnabled) {
    return expirationDate;
  } else {
    return DateTime.timestamp();
  }
}

const int millisecondsInASecond = 1000;

const String featuresKey = 'enabled_features';
const String expirationDateKey = 'exp';
const String featureKey = 'users';
const int featureEnabled = 1;
