/// This enum represents were the user account will be registered.
///
/// * [healthConnect] - Google's Health Connect.
/// * [appleHealth] - Apple health.
enum UserType {
  healthConnect,
  appleHealth,
}

extension UserTypeExtensions on UserType {
  String get sourceOfData {
    switch (this) {
      case UserType.healthConnect:
        return 'Health Connect';
      case UserType.appleHealth:
        return 'Apple Health';
    }
  }
}
