import 'package:rook_users/rook_users.dart';

/// This class represents a registered user.
///
/// * [id] - Unique identifier.
/// * [type] - Where the user is registered at.
class RookUser {
  final String id;
  final UserType type;

  const RookUser({required this.id, required this.type});

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is RookUser &&
          runtimeType == other.runtimeType &&
          id == other.id &&
          type == other.type;

  @override
  int get hashCode => id.hashCode ^ type.hashCode;

  @override
  String toString() {
    return 'RookUser{id: $id, type: $type}';
  }
}
