import 'package:rook_users/rook_users.dart';
import 'package:rook_users/src/authorization/authorization_manager.dart';

class RookUsersConfiguration {
  static RookUsersEnvironment? _environment;

  RookUsersConfiguration._();

  /// Starts the initialization process:
  ///
  /// 1. Configures internal behavior with the provided [environment].
  /// 2. Request for authorization of usage with the provided [clientUUID].
  static Future<DateTime> initRookUsers(
    String clientUUID,
    RookUsersEnvironment environment,
  ) {
    _environment = environment;

    return AuthorizationManager().authorize(clientUUID);
  }

  static RookUsersEnvironment getEnvironment() {
    if (_environment != null) {
      return _environment!;
    } else {
      throw RookUsersNotInitializedException();
    }
  }
}
