import 'package:flutter_test/flutter_test.dart';
import 'package:http/http.dart';
import 'package:rook_users/src/data/server/helper/get_error_from_response.dart';

void main() {
  group('getErrorFromResponse', () {
    test(
      'GIVEN the happy path WHEN getErrorFromResponse THEN return the expected result',
          () {
        const code = 401;
        const error = 'Not authorized';
        final response = Response(error, code);

        final result = getErrorFromResponse(response);

        expect(result, '$code$errorSeparator${response.reasonPhrase}$errorSeparator$error');
      },
    );
  });
}
