import 'package:flutter_test/flutter_test.dart';
import 'package:rook_users/src/domain/environment/get_api_url_from_rook_users_environment.dart';
import 'package:rook_users/src/domain/environment/rook_users_environment.dart';

void main() {
  group('getApiUrlFromRookUsersEnvironment', () {
    test('GIVEN forceDevelop equal to true WHEN getApiUrlFromRookUsersEnvironment THEN return dev url', () {
      const rookUsersEnvironment = RookUsersEnvironment.sandbox;

      final result = getApiUrlFromRookUsersEnvironment(rookUsersEnvironment, forceDevelop: true).split('.').lastOrNull;

      expect(result, 'dev');
    });

    test('GIVEN RookUsersEnvironment_sandbox WHEN getApiUrlFromRookUsersEnvironment THEN return review url', () {
      const rookUsersEnvironment = RookUsersEnvironment.sandbox;

      final result = getApiUrlFromRookUsersEnvironment(rookUsersEnvironment, forceDevelop: false).split('.').lastOrNull;

      expect(result, 'review');
    });

    test('GIVEN RookUsersEnvironment_production WHEN getApiUrlFromRookUsersEnvironment THEN return com url', () {
      const rookUsersEnvironment = RookUsersEnvironment.production;

      final result = getApiUrlFromRookUsersEnvironment(rookUsersEnvironment, forceDevelop: false).split('.').lastOrNull;

      expect(result, 'com');
    });
  });
}
